'use strict';

var omaNodes_ATT =(function(){
	var PROPERTY_TYPES = [
		"./DevInfo/Ext",
		"./DevDetail/Ext",
		"./DevDetail/Ext/AttAccessParams"
	];
	
	var PROPERTY_IDS = [];

	//"./DevInfo/Ext"
	PROPERTY_IDS[PROPERTY_TYPES[0]] =[
		{name:constant_ATT.NODE_SYSPROP_DEVINFO_E_AAB_SERVER_ROOT_URL, value:constant_ATT.SYSPROP_DEVINFO_E_AAB_SERVER_ROOT_URL},
		{name:constant_ATT.NODE_SYSPROP_DEVINFO_E_AAB_CONTACTS_SYNC_URL, value:constant_ATT.SYSPROP_DEVINFO_E_AAB_CONTACTS_SYNC_URL},
		{name:constant_ATT.NODE_SYSPROP_DEVINFO_E_AAB_SETTINGS_SYNC_URL, value:constant_ATT.SYSPROP_DEVINFO_E_AAB_SETTINGS_SYNC_URL},
		{name:constant_ATT.NODE_SYSPROP_DEVINFO_E_AAB_WEB_SERVICES_URL, value:constant_ATT.SYSPROP_DEVINFO_E_AAB_WEB_SERVICES_URL},
		{name:constant_ATT.NODE_SYSPROP_DEVINFO_E_AAB_TAC_VER, value:constant_ATT.SYSPROP_DEVINFO_E_AAB_TAC_VER},
	];

	//"./DevDetail/Ext"
	PROPERTY_IDS[PROPERTY_TYPES[1]] =[
		{name:constant_ATT.NODE_SYSPROP_DEVDTL_E_WLAN_MAC_ADDR, value:constant_ATT.SYSPROP_DEVDTL_E_WLAN_MAC_ADDR},
		{name:constant_ATT.NODE_SYSPROP_DEVDTL_E_ORIG_FWV, value:constant_ATT.SYSPROP_DEVDTL_E_ORIG_FWV},
		{name:constant_ATT.NODE_SYSPROP_DEVDTL_E_PRE_FWV, value:constant_ATT.SYSPROP_DEVDTL_E_PRE_FWV},
		{name:constant_ATT.NODE_SYSPROP_DEVDTL_E_LAST_UPDATE_TIME, value:constant_ATT.SYSPROP_DEVDTL_E_LAST_UPDATE_TIME},
		{name:constant_ATT.NODE_SYSPROP_DEVDTL_E_VOLTE_SERVICE_SETTING, value:constant_ATT.SYSPROP_DEVDTL_E_VOLTE_SERVICE_SETTING},
		{name:constant_ATT.NODE_SYSPROP_DEVDTL_E_HOST_MAN, value:constant_ATT.SYSPROP_DEVDTL_E_HOST_MAN},
		{name:constant_ATT.NODE_SYSPROP_DEVDTL_E_HOST_MOD, value:constant_ATT.SYSPROP_DEVDTL_E_HOST_MOD},
		{name:constant_ATT.NODE_SYSPROP_DEVDTL_E_HOST_SWV, value:constant_ATT.SYSPROP_DEVDTL_E_HOST_SWV},
		{name:constant_ATT.NODE_SYSPROP_DEVDTL_E_HOST_PLASMAL_ID, value:constant_ATT.SYSPROP_DEVDTL_E_HOST_PLASMAL_ID},
		{name:constant_ATT.NODE_SYSPROP_DEVDTL_E_IMEI_SV, value:constant_ATT.SYSPROP_DEVDTL_E_IMEI_SV},
		{name:constant_ATT.NODE_SYSPROP_DEVDTL_E_OS_NAME, value:constant_ATT.SYSPROP_DEVDTL_E_OS_NAME},
		{name:constant_ATT.NODE_SYSPROP_DEVDTL_E_OS_VER, value:constant_ATT.SYSPROP_DEVDTL_E_OS_VER},
		{name:constant_ATT.NODE_SYSPROP_DEVDTL_E_INIT_ACTIVIATION_DATE, value:constant_ATT.SYSPROP_DEVDTL_E_INIT_ACTIVIATION_DATE},
		{name:constant_ATT.NODE_SYSPROP_DEVDTL_E_DOWNLOAD_BEARERS_USED, value:constant_ATT.SYSPROP_DEVDTL_E_DOWNLOAD_BEARERS_USED},
		{name:constant_ATT.NODE_SYSPROP_DEVDTL_E_PROCESS_INITIATION_METHOD, value:constant_ATT.SYSPROP_DEVDTL_E_PROCESS_INITIATION_METHOD}
	];

	//"./DevDetail/Ext/AttAccessParams"
	PROPERTY_IDS[PROPERTY_TYPES[2]] =[
		{name:constant_ATT.NODE_SYSPROP_DEVDTL_E_AAP_D_APN, value:constant_ATT.SYSPROP_DEVDTL_E_AAP_D_APN},
		{name:constant_ATT.NODE_SYSPROP_DEVDTL_E_AAP_D_APN_NAME, value:constant_ATT.SYSPROP_DEVDTL_E_AAP_D_APN_NAME},
		{name:constant_ATT.NODE_SYSPROP_DEVDTL_E_AAP_D_APN_PROXY_ADDR, value:constant_ATT.SYSPROP_DEVDTL_E_AAP_D_APN_PROXY_ADDR},
		{name:constant_ATT.NODE_SYSPROP_DEVDTL_E_AAP_D_APN_PROXY_PORT, value:constant_ATT.SYSPROP_DEVDTL_E_AAP_D_APN_PROXY_PORT},
		{name:constant_ATT.NODE_SYSPROP_DEVDTL_E_AAP_D_APN_SRVCNAMES, value:constant_ATT.SYSPROP_DEVDTL_E_AAP_D_APN_SRVCNAMES},
		{name:constant_ATT.NODE_SYSPROP_DEVDTL_E_AAP_D_APN_AUTH_TYPE, value:constant_ATT.SYSPROP_DEVDTL_E_AAP_D_APN_AUTH_TYPE},
		{name:constant_ATT.NODE_SYSPROP_DEVDTL_E_AAP_D_APN_NUMERIC, value:constant_ATT.SYSPROP_DEVDTL_E_AAP_D_APN_NUMERIC},
		{name:constant_ATT.NODE_SYSPROP_DEVDTL_E_AAP_D_APN_MCC, value:constant_ATT.SYSPROP_DEVDTL_E_AAP_D_APN_MCC},
		{name:constant_ATT.NODE_SYSPROP_DEVDTL_E_AAP_D_APN_MNC, value:constant_ATT.SYSPROP_DEVDTL_E_AAP_D_APN_MNC},
		{name:constant_ATT.NODE_SYSPROP_DEVDTL_E_AAP_D_APN_USERNAME, value:constant_ATT.SYSPROP_DEVDTL_E_AAP_D_APN_USERNAME},
		{name:constant_ATT.NODE_SYSPROP_DEVDTL_E_AAP_D_APN_PASSWORD, value:constant_ATT.SYSPROP_DEVDTL_E_AAP_D_APN_PASSWORD},
		{name:constant_ATT.NODE_SYSPROP_DEVDTL_E_AAP_D_APN_SERVER, value:constant_ATT.SYSPROP_DEVDTL_E_AAP_D_APN_SERVER},
		{name:constant_ATT.NODE_SYSPROP_DEVDTL_E_AAP_D_APN_TYPE, value:constant_ATT.SYSPROP_DEVDTL_E_AAP_D_APN_TYPE},
		{name:constant_ATT.NODE_SYSPROP_DEVDTL_E_AAP_D_APN_CURRENT, value:constant_ATT.SYSPROP_DEVDTL_E_AAP_D_APN_CURRENT},
		{name:constant_ATT.NODE_SYSPROP_DEVDTL_E_AAP_D_APN_PROTOCOL, value:constant_ATT.SYSPROP_DEVDTL_E_AAP_D_APN_PROTOCOL},
		{name:constant_ATT.NODE_SYSPROP_DEVDTL_E_AAP_D_APN_RPROTOCOL, value:constant_ATT.SYSPROP_DEVDTL_E_AAP_D_APN_RPROTOCOL},
		{name:constant_ATT.NODE_SYSPROP_DEVDTL_E_AAP_D_APN_CARRIER_EN, value:constant_ATT.SYSPROP_DEVDTL_E_AAP_D_APN_CARRIER_EN},
		{name:constant_ATT.NODE_SYSPROP_DEVDTL_E_AAP_D_APN_BEARER, value:constant_ATT.SYSPROP_DEVDTL_E_AAP_D_APN_BEARER},
		{name:constant_ATT.NODE_SYSPROP_DEVDTL_E_AAP_D_APN_EXTRA, value:constant_ATT.SYSPROP_DEVDTL_E_AAP_D_APN_EXTRA},
		{name:constant_ATT.NODE_SYSPROP_DEVDTL_E_AAP_D_BRSR_HPAGE, value:constant_ATT.SYSPROP_DEVDTL_E_AAP_D_BRSR_HPAGE},
		{name:constant_ATT.NODE_SYSPROP_DEVDTL_E_AAP_D_BRSR_EXTRA, value:constant_ATT.SYSPROP_DEVDTL_E_AAP_D_BRSR_EXTRA},
		{name:constant_ATT.NODE_SYSPROP_DEVDTL_E_AAP_D_MMS_PRF_NAME, value:constant_ATT.SYSPROP_DEVDTL_E_AAP_D_MMS_PRF_NAME},
		{name:constant_ATT.NODE_SYSPROP_DEVDTL_E_AAP_D_MMS_MMSC, value:constant_ATT.SYSPROP_DEVDTL_E_AAP_D_MMS_MMSC},
		{name:constant_ATT.NODE_SYSPROP_DEVDTL_E_AAP_D_MMS_PROXY_ADDR, value:constant_ATT.SYSPROP_DEVDTL_E_AAP_D_MMS_PROXY_ADDR},
		{name:constant_ATT.NODE_SYSPROP_DEVDTL_E_AAP_D_MMS_PROXY_PORT, value:constant_ATT.SYSPROP_DEVDTL_E_AAP_D_MMS_PROXY_PORT},
		{name:constant_ATT.NODE_SYSPROP_DEVDTL_E_AAP_D_MMS_EXTRA, value:constant_ATT.SYSPROP_DEVDTL_E_AAP_D_MMS_EXTRA},
	];

	function getPropertyTypes() {
		return PROPERTY_TYPES;
	};

	function getPropertyIds(type) {
		return PROPERTY_IDS[type];
	};
	
	return {
		getPropertyTypes: getPropertyTypes,
		getPropertyIds: getPropertyIds
	};
})();


